-- Large Format Camera at prime focus

-- the camera itself
DisplayLFC = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 5e18

	function orbit:position (tjd)
		return LFCX, 0, 0
	end

return orbit
end

-- its Field of View
DisplayLFCFoV = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 5e18

	function orbit:position (tjd)
		return LFCFoVX, 0, 0
	end

return orbit
end

-- hale laser launch telescope in pf cage
DisplayLaunchTel = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 5e18

	function orbit:position (tjd)
		return LaunchTelX, 0, 0
	end

return orbit
end

