
DisplayDome = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 1e3

	function orbit:position (tjd)
		return domeX, 0, 0
	end

return orbit
end


DisplayDomeInternal = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 1e3

	function orbit:position (tjd)
		return domeInternalX, 0, 0
	end

return orbit
end


-- open /close doors

DoorX = function ( date )

-- default Door position is last x
	local DoorPos = DoorX1

     if (date >= DoorT0) and (date <= DoorT1)
      then
	DoorPos = DoorX0 + DoorV*(date-DoorT0)
      end
 
-- current opening position
 	return DoorPos,0,0
end

DisplayDoor1 = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 1e3

	function orbit:position (tjd)
		return (domeX+DoorX(tjd)), 0, 0
	end

return orbit
end
DisplayDoor2 = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 1e3

	function orbit:position (tjd)
		return (domeX-DoorX(tjd)), 0, 0
	end

return orbit
end

--============================================================
-- the base
--============================================================

DisplayBase = function (sscvals)

	local orbit = {sscvals}
	orbit.params = sscvals -- ignored for now
	orbit.boundingRadius = 1e3

	function orbit:position (tjd)
		return baseX, 0, 0
	end

return orbit
end

require ("hale_05_ocrane")
require ("hale_05_hook")
